* {
  box-sizing: border-box;
}

@media print {
  @page {
    size: landscape;
  }

  header,
  header * {
    background: white !important;
  }

  .print {
    display: block !important;
  }

  .noprint,
  nav,
  footer,
  button {
    display: none !important;
  }

  div.print {
    page-break-inside: avoid;
    min-height: 6in;
  }
}

@media screen {
  body {
    background: #f3f3f3;
  }

  div.calc {
    border: 1px solid #ddd;
    /* box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);  */
    background: #fcf9f6;
    padding: 1em;
  }
}

.main.calc *,
#map,
#map * {
  box-sizing: border-box;
}

.main.calc,
.main.calc table,
.main.calc td {
  font: 14px verdana;
  line-height: 1.5em;
  color: #444;
}

.main.calc h1 {
  text-align: center;
  margin: 0.3em;
  font-size: 150%;
}

.main.calc h2 {
  font-size: 150%;
  font-weight: normal;
  text-transform: none;
}

.main.calc u {
  color: #ba0c2f;
}

.main.calc nav ul {
  margin: auto;
  background: #ba0c2f;
  color: white;
  padding: 0 15%;
  text-align: center;
}

.main.calc nav li {
  list-style-type: none;
  display: inline-block;
  font-size: 120%;
  width: 33%;
  padding: 0.5em 0;
  text-align: center;
  border-radius: 10px;
  cursor: pointer;
}

.main.calc nav li:hover {
  background: #25a3c8;
}

.main.calc > div {
  display: none;
}

.main.calc nav li.selected {
  background: #2f0cba;
  border-radius: 10px;
}

img.SARE {
  float: right;
  height: 90%;
  padding: 5px 0;
}

.main.calc .right {
  float: right;
  padding-left: 1em;
}

.main .RESEARCH img {
  width: 120px;
  margin-bottom: 1em;
  border: 1px solid #666;
}

.main.calc .large {
  font-size: 130%;
}

.main.calc address {
  font-style: normal;
  margin-left: 2em;
}

.main.calc table {
  width: 100%;
  background: #eee;
}

.main.calc table td:nth-child(1) {
  width: 40%;
}

.main.calc table td {
  vertical-align: middle;
}

.main.calc .C1 td:nth-child(2) {
  white-space: nowrap;
}

.main.calc input {
  background: lightyellow;
}

.main.calc input:focus {
  background: yellow;
}

.CALCULATOR select {
  zwidth: 20em;
}

.CALCULATOR > div {
  display: none;
}

.CALCULATOR > .C1 {
  display: block;
}

div.buttons {
  text-align: center;
}

div.buttons button {
  font-size: 140%;
  padding: 0.5em;
  margin: 1em;
}

#compost.disabled,
#litter.disabled,
#inorganic.disabled,
#organic.disabled {
  opacity: 0.5;
  pointer-events: none;
}

#inorganic2.disabled,
#organic2.disabled {
  display: none;
}

label:hover {
  color: red;
}

input[type='number'] {
  width: 5em;
}

.main input {
  padding: 0.3em;
}

#map,
#cropSheet {
  display: none;
}

#map .map {
  height: 100%;
  width: 100%;
}

#cropSheet iframe {
  width: 100%;
  /* height: 100%; */
}

iframe {
  height: calc(100vh - 300px);
  border: none;
  overflow: hidden;
}

@media print {
  iframe {
    height: 95vh;
    width: 100vw !important;
    overflow: hidden;
  }
}

#map.selected,
#cropSheet.selected {
  display: flex;
  flex-direction: column;
  position: fixed;
  top: 5%;
  height: 90%;
  width: 80%;
  left: 10%;
  bottom: 5%;
  border: 1px solid #333;
  /* box-shadow: 40px 40px 100px 0px rgba(0,0,0,0.75);   */
  z-index: 1;
  background: #333;
  color: #eee;
  font: bold 14px verdana;
  border-radius: 20px;
  padding: 1em;
}

#cropSheet.selected ~ *,
#map.selected ~ * {
  opacity: 0.3;
  pointer-events: none;
}

button.close {
  position: absolute;
  right: 1%;
  top: 2%;
  font-size: 120%;
  color: green;
}

body.frozen {
  overflow: hidden;
}

.calc button.next,
.calc button.prev,
.calc button.doprint {
  height: 3.5em;
  vertical-align: top;
}

.calc button.next {
  background: #afa;
}

.calc button.prev {
  background: gold;
}

#confirm td {
  vertical-align: top;
}

#confirm strong {
  color: #369;
}

select.crop {
  width: 10em;
}

#oFert1,
#oFert2 {
  width: 10em;
}

.main table + table {
  margin-top: 2em;
}

.main .note {
  color: #888;
  font-size: 90%;
}

.mockup {
  zposition: absolute;
  font-size: 110%;
  font-style: italic;
  text-decoration: underline !important;
}

.red {
  color: red;
}

table.right td:nth-child(1) {
  text-align: right;
}

.main table + table {
  margin-top: 1em;
}

.main td.center {
  text-align: center !important;
}

button.test,
button.results {
  float: right;
}

.hidden {
  display: none;
}

.C4 table.example {
  margin: auto;
  width: 90%;
}

table.example th {
  width: 50%;
}

strong:empty {
  display: inline-block;
  vertical-align: bottom;
  width: 10em;
  height: 1.7em;
  border: 1px solid #aaa;
  transform: translateY(2px);
}

#cashCrop,
#coverCrop {
  width: 100%;
}

div.cropSheet {
  display: none;
}

#field,
#sample {
  width: 30em;
}

#graph {
  width: 95vw;
}

/* @media (min-width: 50em) and (orientation: landscape) {
  #graph {
    height: 610px;
  }
}

@media (orientation: landscape) {
  #graph {
    height: 610px;
  }
}

@media (orientation: portrait) {
  #graph {
    height: 900px;
  }
} */

iframe {
  zbackground: white;
  zborder: none;
}

div.waiting img {
  height: 2em;
}
